---
title: "POST /_system/security/methods/qr - System Security · RUAL Documentation"
description: "Verify TOTP setup with authenticator app"
canonical: https://docs.rual.nl/cluster/api/system-security/system-security-methods-qr-post
language: en
---

# POST /_system/security/methods/qr

Verify TOTP setup with authenticator app

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **name** required | `string` | `"production"` | Device name |
| **token** required | `string` | 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJndWlkIj...' | TOTP token from app |

```
{
  "verified": true
}
```

```
{
  "error": "ERROR_KEY"
}
```

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `users_twofactorauth_create` | Required scope: users_twofactorauth_create |
